backend:
  name: gitea
  repo: hellug/www
  branch: staging
  app_id: 2b488bae-c06e-4221-bb40-fd6fe0944663 # The Client ID provided by Gitea
  api_root: https://dev.hellug.gr/api/v1 # API URL of your Gitea instance
  base_url: https://dev.hellug.gr # Root URL of your Gitea instance

# This line should *not* be indented
media_folder: "static/media" # Media files will be stored in the repo under images/uploads
public_folder: "/media" # The src attribute for uploaded media will begin with /images/uploads

collections:
  - name: "posts" # Used in routes, e.g., /admin/collections/blog
    label: "Δημοσιεύσεις" # Used in the UI
    folder: "content/posts" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    editor:
      preview: false
    slug: "{{slug}}-{{year}}-{{month}}-{{day}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Layout", name: "layout", widget: "hidden", default: "news"}
      - {label: "Banner template", name: "bannertemplate", widget: "hidden", default: "hellug-banner.html"}
      - {label: "Ημερομηνία Δημοσίευσης", name: "date", widget: "datetime"}
      - {label: "Τίτλος κατηγορίας", name: "category_title", widget: "string", default: "Δράσεις"}
      - {label: "Ετικέτες", name: "tags", widget: "list", min: 1, default: ["Νέα"]}
      - {label: "Περίληψη", name: "summary", required: false, widget: "string"}
      - {label: "Body", name: "body", widget: "markdown"}
  - name: "meetups" # Used in routes, e.g., /admin/collections/blog
    label: "Συναντήσεις" # Used in the UI
    folder: "content/posts/meetups" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    editor:
      preview: false
    slug: "{{slug}}-{{year}}-{{month}}-{{day}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Layout", name: "layout", widget: "hidden", default: "meetups"}
      - {label: "Banner template", name: "bannertemplate", widget: "hidden", default: "hellug-banner.html"}
      - {label: "Ημερομηνία Δημοσίευσης", name: "date", widget: "datetime"}
      - {label: "Ημερομηνία Συνάντησης", name: "meetupdate", widget: "datetime"}
      - {label: "Τοποθεσία", name: "meetuplocation", widget: "string"}
      - {label: "Τίτλος κατηγορίας", name: "category_title", widget: "string", default: "Δράσεις"}
      - {label: "Ετικέτες κατηγορίας", name: "draseis", widget: "list", allow_add: false, default: [meetups]}
      - {label: "Ετικέτες", name: "tags", widget: "list", allow_add: false, default: ["Meetups"]}
      - {label: "Περίληψη", name: "summary", required: false, widget: "string"}
      - {label: "Body", name: "body", widget: "markdown"}
  - name: "events" # Used in routes, e.g., /admin/collections/blog
    label: "Εκδηλώσεις" # Used in the UI
    folder: "content/posts/events" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    editor:
      preview: false
    slug: "{{slug}}-{{year}}-{{month}}-{{day}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Layout", name: "layout", widget: "hidden", default: "news"}
      - {label: "Banner template", name: "bannertemplate", widget: "hidden", default: "hellug-banner.html"}
      - {label: "Ημερομηνία Δημοσίευσης", name: "date", widget: "datetime"}
      - {label: "Ημερομηνία εκδήλωσης", name: "eventdate", widget: "datetime"}
      - {label: "Τίτλος κατηγορίας", name: "category_title", widget: "string", default: "Δράσεις"}
      - {label: "Ετικέτες κατηγορίας", name: "draseis", widget: "list", allow_add: false, default: [news,event]}
      - {label: "Ετικέτες", name: "tags", widget: "list", allow_add: false, default: ["Εκδηλώσεις","Νέα"]}
      - {label: "Περίληψη", name: "summary", required: false, widget: "string"}
      - {label: "Body", name: "body", widget: "markdown"}
